XFcPrimitiveDrawIndexedPrimitiveSet class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawIndexedPrimitiveSet Class Reference

Defines a set of indexed primitives. More...

Collaboration diagram for XFcPrimitiveDrawIndexedPrimitiveSet:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT | ~XFcPrimitiveDrawIndexedPrimitiveSet ()
| Destructor.
XFCIMPORT INT32 | getPrimitiveCount ()
| Returns the amount of primitives.
XFCIMPORT void | addPrimitive (XFcPrimitiveDrawIndexedPrimitive *aPrimitive)
| Adds a primitive.
XFCIMPORT XFcPrimitiveDrawIndexedPrimitive * | getPrimitive (INT32 aPrimitiveIndex)
| Returns a pointer to a primitive at aPrimitiveIndex.
XFCIMPORT void | clear ()
| Clears the primitive index set.

## Static Public Member Functions

XFCIMPORT XFcPrimitiveDrawIndexedPrimitiveSet * | create (INT32 aMaxPrimitiveCount)
| Creates an indexed set with aMaxPrimitiveCount maximum amount of primitives.

## Protected Member Functions

XFCIMPORT | XFcPrimitiveDrawIndexedPrimitiveSet ()
| Protected constructor.

## Protected Attributes

XFcPrimitiveDrawIndexedPrimitive ** | mPrimitives
| Array of primitive pointers.
INT32 | mPrimitiveCount
| Count of primitives.
INT32 | mMaxPrimitives
| Maximum amount of primitives.

## Detailed Description

Defines a set of indexed primitives.

## Constructor & Destructor Documentation

XFCIMPORT XFcPrimitiveDrawIndexedPrimitiveSet::~XFcPrimitiveDrawIndexedPrimitiveSet | ( |  | ) |

| Destructor.

XFCIMPORT XFcPrimitiveDrawIndexedPrimitiveSet::XFcPrimitiveDrawIndexedPrimitiveSet | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT void XFcPrimitiveDrawIndexedPrimitiveSet::addPrimitive | ( | XFcPrimitiveDrawIndexedPrimitive * | aPrimitive | ) |

| Adds a primitive.

XFCIMPORT void XFcPrimitiveDrawIndexedPrimitiveSet::clear | ( |  | ) |

| Clears the primitive index set.

XFCIMPORT XFcPrimitiveDrawIndexedPrimitiveSet* XFcPrimitiveDrawIndexedPrimitiveSet::create | ( | INT32 | aMaxPrimitiveCount | ) | `[static]`

| Creates an indexed set with aMaxPrimitiveCount maximum amount of primitives.

XFCIMPORT XFcPrimitiveDrawIndexedPrimitive* XFcPrimitiveDrawIndexedPrimitiveSet::getPrimitive | ( | INT32 | aPrimitiveIndex | ) |

| Returns a pointer to a primitive at aPrimitiveIndex.

XFCIMPORT INT32 XFcPrimitiveDrawIndexedPrimitiveSet::getPrimitiveCount | ( |  | ) |

| Returns the amount of primitives.

## Member Data Documentation

INT32 XFcPrimitiveDrawIndexedPrimitiveSet::mMaxPrimitives`[protected]`

| Maximum amount of primitives.

INT32 XFcPrimitiveDrawIndexedPrimitiveSet::mPrimitiveCount`[protected]`

| Count of primitives.

XFcPrimitiveDrawIndexedPrimitive** XFcPrimitiveDrawIndexedPrimitiveSet::mPrimitives`[protected]`

| Array of primitive pointers.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch